import { Component, h, Prop } from '@stencil/core';
export class SAbdullakhFooterMenuBlocks {
    render() {
        return (h("div", { class: "footer_links_block footer_links_wrapper" },
            h(FooterItemMenuBlocks, { arr: this.arr })));
    }
    static get is() { return "s-abdullakh-footer-menu-blocks"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-footer-menu-blocks.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-footer-menu-blocks.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "arr",
            "reflect": false
        }
    }; }
}
/*
* компонентная функция для вывода элементов footer2
 */
const FooterItemMenuBlocks = (props) => {
    return props.arr.map((item) => {
        return (h("div", { class: "mb-4" },
            h("div", { class: "footer_title" }, item.title),
            h("s-abdullakh-footer-menu-links", { arr: item.items })));
    });
};
