import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhHeadMenuInPopup {
    render() {
        return (h(PopupIn, { arr: this.arr }));
    }
    static get is() { return "s-abdullakh-head-menu-in-popup"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-head-menu-in-popup.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-head-menu-in-popup.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u043C\u0435\u043D\u044E \u0432 popup"
            },
            "attribute": "arr",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnHeader",
            "name": "clickOnHeader",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u043C\u0435\u043D\u044E"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода элементов меню popup-in-popup
 */
const PopupIn = (props) => {
    return props.arr.map((item) => {
        return (h("div", { class: "pop_up_section_nav_block" },
            h("div", { class: "pop_up_section_nav_link" },
                h("a", { href: "#", class: "pop_up_section_nav_link_a", onClick: () => this.clickOnHeader.emit(item.popupItemName) },
                    item.popupIconComplited ?
                        h("span", { class: "material-icons", onClick: () => this.clickOnHeader.emit(item.popupIcon) }, item.popupIcon) :
                        '',
                    item.popupItemName))));
    });
};
