import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhPersonalSecurity {
    render() {
        return (h("div", { class: "container persional_security" },
            h("div", { class: "row persional_security_block" },
                h("div", { class: "col-lg-5 mt-5" },
                    h("div", { class: "persional_security_right d-lg-none d-block", style: { backgroundImage: "url(" + this.personalSecurityImg + ")" }, onClick: () => this.clickOnPersonalSecurity.emit(this.personalSecurityImg) }),
                    h("div", { class: "persional_security_list_block" },
                        h("div", { class: "list_block" },
                            h("div", { class: "list_block_title", onClick: () => this.clickOnPersonalSecurity.emit(this.personalSecurity.title) },
                                h("h3", null, this.personalSecurity.title)),
                            h("ul", { class: "list_block_info_blocks", onClick: () => this.clickOnPersonalSecurity.emit(this.personalSecurity.list) },
                                h(ListBlock, { arr: this.personalSecurity.list }))))),
                h("div", { class: "col-lg-7 d-none d-lg-block" },
                    h("div", { class: "persional_security_right", style: { backgroundImage: "url(" + this.personalSecurityImg + ")" } })))));
    }
    static get is() { return "s-abdullakh-personal-security"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-personal-security.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-personal-security.css"]
    }; }
    static get properties() { return {
        "personalSecurityImg": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043F\u0443\u0442\u044C \u043A img personalSecurity"
            },
            "attribute": "personal-security-img",
            "reflect": false
        },
        "personalSecurity": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 personalSecurity"
            },
            "attribute": "personal-security",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnPersonalSecurity",
            "name": "clickOnPersonalSecurity",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C personalSecurity"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода элементов news-main-block
 */
const ListBlock = (props) => {
    return props.arr.text.map((item) => {
        return (h("s-abdullakh-list-block", { arr: item }));
    });
};
