export declare let preHeader: boolean;
export declare const headText: {
    logo: string;
    menuItemOne: string;
    menuItemTwo: string;
    menuOpen: string;
    menuClose: string;
    logIn: string;
    btnText: string;
}[];
export declare const headNav: ({
    nameLink: string;
    complited: boolean;
    popup?: undefined;
} | {
    nameLink: string;
    complited: boolean;
    popup: {
        popupTitle: string;
        popupTitleComplited: boolean;
        popupLinks: {
            popupItemName: string;
            popupIcon: string;
            popupIconComplited: boolean;
        }[];
    }[];
})[];
export declare const productPresentation: {
    videoScr: string;
    productPresentationContent: {
        title: string;
        subtitle: string;
        btnText: string;
    }[];
};
export declare const multiCurrencySlaider = "";
export declare const personalSecurity: {
    personalSecurityImg: string;
    title: string;
    list: {
        text: {
            text: string;
        }[];
    };
};
export declare const expenseManagement: {
    expenseManagementImg: string;
    title: string;
    list: {
        text: {
            text: string;
        }[];
    };
};
export declare const securityControl: {
    securityControlImg: string;
    title: string;
    list: {
        text: {
            text: string;
        }[];
    };
};
export declare const cardDesign: {
    cardDesignImgWhite: string;
    cardDesignImgBlack: string;
    title: string;
    subtitle: string;
};
export declare const clauseMatch: {
    clauseMatchImg: string;
    blockName: string;
    title: string;
    blockContent: string;
    author: string;
    company: string;
};
export declare const otherFeatures: {
    title: string;
    featuresblock: {
        title: string;
        text: string;
        class: string;
    }[];
};
export declare const exploreFeatures: {
    title: string;
    exploreFeaturesblock: {
        title: string;
        text: string;
        class: string;
        icon: string;
    }[];
};
export declare const linkBlock: {
    title: string;
    subtitle: string;
    btnText: string;
};
export declare const previewBackground: {
    previewBackgroundBlock: {
        class: string;
        img: string;
    }[];
};
export declare const footer: ({
    menuTitle: string;
    menuTitleActive: string;
}[] | {
    title: string;
    id: string;
    items: {
        id: string;
        linkName: string;
    }[];
}[] | {
    title: string;
    items: {
        id: string;
        linkName: string;
    }[];
}[])[];
