import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhCardDesign {
    render() {
        return (h("div", { class: "container" },
            h("div", { class: "card_design_block" },
                h("div", { class: "card_design_block_title" },
                    h("h2", { onClick: () => this.clickOnCardDesign.emit(this.cardDesign.title) }, this.cardDesign.title),
                    h("div", { class: "card_design_block_subtitle", onClick: () => this.clickOnCardDesign.emit(this.cardDesign.subtitle) }, this.cardDesign.subtitle)),
                h("div", { class: "card_design_block_card_img", onClick: () => this.clickOnCardDesign.emit(event) },
                    h("div", { class: "card_img", id: "black_card", ref: (el) => { this.card = el; } })),
                h("div", { class: "card_btn_block" },
                    h("div", { class: "black_card_btn_border" },
                        h("div", { class: "black_card_btn", onClick: () => this.blackCardtoggle() })),
                    h("div", { class: "gray_card_btn_border", onClick: () => this.whiteCardtoggle() },
                        h("div", { class: "gray_card_btn" }))))));
    }
    blackCardtoggle() {
        this.card.id = 'black_card';
    }
    whiteCardtoggle() {
        this.card.id = 'white_card';
    }
    static get is() { return "s-abdullakh-card-design"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-card-design.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-card-design.css"]
    }; }
    static get properties() { return {
        "cardDesign": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "card-design",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnCardDesign",
            "name": "clickOnCardDesign",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
