import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhExpenseManagement {
    render() {
        return (h("div", { class: "container expense_management" },
            h("div", { class: "row expense_management_block" },
                h("div", { class: "col-lg-7 d-none d-lg-block" },
                    h("div", { class: "expense_management_left" },
                        h("div", { class: "expense_management_bckgrnd", style: { backgroundImage: "url(" + this.expenseManagementImg + ")" }, onClick: () => this.clickOnExpenseManagement.emit(this.expenseManagementImg) }))),
                h("div", { class: "col-lg-5 mt-3" },
                    h("div", { class: "expense_management_left d-block d-lg-none" },
                        h("div", { class: "expense_management_bckgrnd", style: { backgroundImage: "url(" + this.expenseManagementImg + ")" }, onClick: () => this.clickOnExpenseManagement.emit(this.expenseManagementImg) })),
                    h("div", { class: "expense_management_list_block" },
                        h("div", { class: "list_block" },
                            h("div", { class: "list_block_title", onClick: () => this.clickOnExpenseManagement.emit(this.expenseManagement.title) },
                                h("h3", null, this.expenseManagement.title)),
                            h("ul", { class: "list_block_info_blocks", onClick: () => this.clickOnExpenseManagement.emit(this.expenseManagement.list) },
                                h(ListBlock, { arr: this.expenseManagement.list }))))))));
    }
    static get is() { return "s-abdullakh-expense-management"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-expense-management.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-expense-management.css"]
    }; }
    static get properties() { return {
        "expenseManagementImg": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 personalSecurity"
            },
            "attribute": "expense-management-img",
            "reflect": false
        },
        "expenseManagement": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 personalSecurity"
            },
            "attribute": "expense-management",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnExpenseManagement",
            "name": "clickOnExpenseManagement",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода элементов news-main-block
 */
const ListBlock = (props) => {
    return props.arr.text.map((item) => {
        return (h("s-abdullakh-list-block", { arr: item }));
    });
};
