import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhExploreFeaturesBlocks {
    render() {
        return (h("div", { class: "explore_features_position" },
            h("div", { class: "explore_features_block" },
                h("div", { class: this.bckgrndClass(this.arr.class) },
                    h("span", { class: "material-icons", onClick: () => this.clickOnExploreFeature.emit(this.arr.icon) }, this.arr.icon)),
                h("div", { class: "explore_features_block_title" },
                    h("h4", { onClick: () => this.clickOnExploreFeature.emit(this.arr.title) }, this.arr.title)),
                h("div", { class: "explore_features_block_content", onClick: () => this.clickOnExploreFeature.emit(this.arr.text) }, this.arr.text))));
    }
    bckgrndClass(x) {
        switch (x) {
            case 'Pink':
                return 'explore_features_block_icon_pink';
            case 'Gray':
                return 'explore_features_block_icon_gray';
            case 'Orange':
                return 'explore_features_block_icon_orange';
        }
    }
    static get is() { return "s-abdullakh-explore-features-blocks"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-explore-features-blocks.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-explore-features-blocks.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "arr",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnExploreFeature",
            "name": "clickOnExploreFeature",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u0432 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0435 NewSinglePost"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
