import { Component, h, Prop } from '@stencil/core';
export class SAbdullakhFooterMenuLinks {
    render() {
        return (h(FooterItemlink, { arr: this.arr }));
    }
    static get is() { return "s-abdullakh-footer-menu-links"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-footer-menu-links.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-footer-menu-links.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "arr",
            "reflect": false
        }
    }; }
}
/*
* компонентная функция для вывода элементов footer2
 */
const FooterItemlink = (props) => {
    return props.arr.map((item) => {
        return (h("div", { class: "footer_links" },
            h("a", { href: "", class: "footer_link" }, item.linkName)));
    });
};
