import { Component, h, Prop } from '@stencil/core';
export class SAbdullakhFooter {
    render() {
        return (h("footer", { class: "container-fluid" },
            h("div", { class: "container" },
                h("div", { class: "row footer_block" },
                    h(FooterLogoBlocks, { arr: this.footer }),
                    h(FooterItemBlocks, { arr: this.footer })),
                h("div", { class: "copyright_block" },
                    h("div", { class: "copyright_flag_options" },
                        h("div", { class: "copyright_flag" }),
                        h("div", { class: "copyright_options" }, "United Kingdom"),
                        h("form", null,
                            h("p", null,
                                h("select", null,
                                    h("input", { type: "search" }),
                                    h("option", null, "English"),
                                    h("option", null, "Francais \u0413\u0435\u043D\u0430"),
                                    h("option", null, "Polski"),
                                    h("option", null, "Deutsch"))))),
                    h("div", { class: "footerStatusory" },
                        h("p", null,
                            h("span", { class: "footerStatusoryLTD" }, "\u00A9 2020 Revolut Ltd"),
                            h("span", { class: "footerCopyrightMenu" },
                                h("a", { href: "#" }, "Website Terms"),
                                h("a", { href: "#" }, "Legal Agreements"),
                                h("a", { href: "#" }, "Privacy Policy"),
                                h("a", { href: "#" }, "Complaints"),
                                h("a", { href: "#" }, "Data Privacy For Candidates"),
                                h("a", { href: "#" }, "Responsible Disclosure Program Policy"),
                                h("a", { href: "#" }, "UK Modern Slavery Statement"))),
                        h("div", { class: "copyright_bottom_text" },
                            h("p", null, "If you would like to find out more about which Revolut entity you receive services from, or if you have any other questions, please reach out to us via the in-app chat in the Revolut app. Revolut Ltd (No. 08804411) is authorised by the Financial Conduct Authority under the Electronic Money Regulations 2011 (Firm Reference 900562). Registered address: 7 Westferry Circus, Canary Wharf, London, England, E14 4HD. Insurance related-products are provided by Revolut Travel Ltd which is authorised by the Financial Conduct Authority to undertake insurance distribution activities (FCA No: 780586) and by Revolut Ltd, an Appointed Representative of Revolut Travel Ltd in relation to insurance distribution activities. Revolut Ltd is an Appointed Representative of Lending Works Ltd for the activity of \u201Coperating an electronic system for lending\u201D. Trading and investment products are provided by Revolut Trading Ltd (No. 832790) is wholly owned subsidiary of Revolut Ltd and is an appointed representative of Sapia Partners LLP which is authorised and regulated by the Financial Conduct Authority.")))))));
    }
    static get is() { return "s-abdullakh-footer"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-footer.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-footer.css"]
    }; }
    static get properties() { return {
        "footer": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "any[]",
                "resolved": "any[]",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            }
        }
    }; }
}
/*
* компонентная функция для вывода элементов footer2
 */
const FooterLogoBlocks = (props) => {
    return props.arr.slice(0, 1).map((item) => {
        return (h("div", { class: 'p-sm-0 pb-3' },
            h("s-abdullakh-footer-logo-blocks", { arr: item })));
    });
};
/*
* компонентная функция для вывода элементов footer2
 */
const FooterItemBlocks = (props) => {
    return props.arr.slice(1, 6).map((item) => {
        return (h("div", null,
            h("s-abdullakh-footer-menu-blocks", { arr: item })));
    });
};
