import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhHeadMenuPopup {
    render() {
        return (h(Popup, { arr: this.arr }));
    }
    static get is() { return "s-abdullakh-head-menu-popup"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-head-menu-popup.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-head-menu-popup.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u043C\u0435\u043D\u044E \u0432 popup"
            },
            "attribute": "arr",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnHeader",
            "name": "clickOnHeader",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u043C\u0435\u043D\u044E"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода элементов меню popup
 */
const Popup = (props) => {
    return props.arr.popup.map((item) => {
        return (h("div", { class: "top_in_pop_up_nav_block" },
            item.popupTitleComplited ?
                h("div", { class: "title_top_in_pop_up_nav_block", onClick: () => this.clickOnHeader.emit(item.popupTitle) }, item.popupTitle)
                :
                    '',
            h("s-abdullakh-head-menu-in-popup", { arr: item.popupLinks })));
    });
};
