import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhOtherFeatures {
    render() {
        return (h("div", { class: "container" },
            h("div", { class: "other_features_title" },
                h("h2", { onClick: () => this.clickOnOtherFeatures.emit(this.featuresblock.title) }, this.otherFeatures.title)),
            h("div", { class: "row mt-5", onClick: () => this.clickOnOtherFeatures.emit(this.featuresblock) },
                h(Blocks, { arr: this.featuresblock }))));
    }
    static get is() { return "s-abdullakh-other-features"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-other-features.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-other-features.css"]
    }; }
    static get properties() { return {
        "otherFeatures": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "other-features",
            "reflect": false
        },
        "featuresblock": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "featuresblock",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnOtherFeatures",
            "name": "clickOnOtherFeatures",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u0432 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0435 NewSinglePost"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода элементов news-main-block
 */
const Blocks = (props) => {
    return props.arr.map((item) => {
        return (h("div", { class: "col-lg-6 col-12" },
            h("s-abdullakh-other-features-blocks", { arr: item })));
    });
};
