import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhOtherFeaturesBlocks {
    render() {
        return (h("div", { class: this.arr.class },
            h("div", { class: "other_features_blocks" },
                h("div", { class: "other_features_blocks_title" },
                    h("h3", { onClick: () => this.clickOnOtherFeatures.emit(this.arr.title) }, this.arr.title)),
                h("div", { class: "other_features_content", onClick: () => this.clickOnOtherFeatures.emit(this.arr.text) }, this.arr.text))));
    }
    static get is() { return "s-abdullakh-other-features-blocks"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-other-features-blocks.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-other-features-blocks.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "arr",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnOtherFeatures",
            "name": "clickOnOtherFeatures",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u0432 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0435 NewSinglePost"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
