import { Component, Event, h } from '@stencil/core';
export class SAbdullakhPreHeader {
    render() {
        return (h("div", { class: "container-fluid cookes_main_block_bckrnd" },
            h("div", { class: "container" },
                h("div", { class: "cookes_main_block" },
                    h("div", { class: "cookes_left_block" },
                        h("span", null, "We use   \u2622 cookies to personalise your experience on Revolut."),
                        h("a", { href: "" }, "Learn more")),
                    h("div", { class: "cookes_right_block" },
                        h("button", { class: "manage_cookes_btn", onClick: () => { this.close.emit(); } }, "Manage Cookies"),
                        h("button", { class: "accent_cookes_btn", onClick: () => { this.close.emit(); } }, "Accept"))))));
    }
    static get is() { return "s-abdullakh-pre-header"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-pre-header.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-pre-header.css"]
    }; }
    static get events() { return [{
            "method": "close",
            "name": "close",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
