import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhProductPresentationContent {
    render() {
        console.log(this.videoScr);
        return (h("div", { class: "presentation_left_block" },
            h("div", { class: "in_presentation_left_block" },
                h("div", { class: "presentation_left_block_title", onClick: () => this.clickOnProductPresentation.emit(this.arr.title) },
                    h("h1", null, this.arr.title)),
                h("div", { class: "presentation_right_block d-lg-none d-flex video_center", onClick: () => this.clickOnProductPresentation.emit(this.videoScr) },
                    h("div", { class: "presentation_right_block_video" },
                        h("video", { src: this.videoScr, autoplay: "autoplay", playsinline: "", "data-testid": "video-media" },
                            h("track", { kind: "captions" }),
                            h("source", { type: "video/mp4" })))),
                h("div", { class: "presentation_left_block_subtitle", onClick: () => this.clickOnProductPresentation.emit(this.arr.subtitle) }, this.arr.subtitle),
                h("div", { class: "presentation_left_block_btn" },
                    h("button", { class: "my_btn presentation_btn", onClick: () => this.clickOnProductPresentation.emit(this.arr.btnText) }, this.arr.btnText)))));
    }
    static get is() { return "s-abdullakh-product-presentation-content"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-product-presentation-content.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-product-presentation-content.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u043E\u0432 product-presentation-conten"
            },
            "attribute": "arr",
            "reflect": false
        },
        "videoScr": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u043E\u0432 product-presentation-conten"
            },
            "attribute": "video-scr",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnProductPresentation",
            "name": "clickOnProductPresentation",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C ProductPresentation"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
