import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhListBlock {
    render() {
        return (h("li", { class: "list_block_info_block", onClick: () => this.clickOnPersonalSecurity.emit(this.arr.text) },
            h("div", null, this.arr.text)));
    }
    static get is() { return "s-abdullakh-list-block"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-list-block.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-list-block.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 ListBlock"
            },
            "attribute": "arr",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnPersonalSecurity",
            "name": "clickOnPersonalSecurity",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "clickOnExpenseManagement",
            "name": "clickOnExpenseManagement",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
